% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/multicoxb.R
\name{multicoxb}
\alias{multicoxb}
\title{High dimensional multivariate cox proportional hazard data analysis}
\usage{
multicoxb(
  C1 = NULL,
  C2 = NULL,
  C3 = NULL,
  C4 = NULL,
  C5 = NULL,
  OS,
  event,
  data
)
}
\arguments{
\item{C1}{Covar1}

\item{C2}{Covar2}

\item{C3}{Covar3}

\item{C4}{Covar4}

\item{C5}{Covar5}

\item{OS}{"Column/Variable name" consisting duration of survival.}

\item{event}{"Column/Variable name" consisting survival event.}

\item{data}{High dimensional data containing survival observations and covariates.}
}
\value{
Data set containing the survival estimates and Pvalue.
}
\description{
Given the dimensions of the variables and survival informations. The function
performs multivariate Cox PH by taking 5 variables at a time.
}
\examples{
##
multicoxb(C1="GJB1",C2=NULL,C3="HPN",C4=NULL,C5=NULL,OS="os",event="death",data=hnscc)
}
